<?xml version="1.0"?>
<!-- This file is part of Tryton.  The COPYRIGHT file at the top level of
this repository contains the full copyright notices and license terms. -->
<tryton>
    <data>

      <record model="ir.ui.view" id="hotel_rate_plan_calendar_view_tree">
          <field name="model">hotel.rate_plan.calendar</field>
          <field name="type">tree</field>
          <field name="name">rate_plan_calendar_tree</field>
      </record>
      <record model="ir.ui.view" id="hotel_rate_plan_calendar_view_form">
          <field name="model">hotel.rate_plan.calendar</field>
          <field name="type">form</field>
          <field name="name">rate_plan_calendar_form</field>
      </record>
      <record model="ir.action.act_window" id="act_hotel_rate_plan_calendar_form">
          <field name="name">Rate Plan Calendar</field>
          <field name="res_model">hotel.rate_plan.calendar</field>
      </record>
      <record model="ir.action.act_window.view" id="act_rate_plan_calendar_form_view1">
          <field name="sequence" eval="10"/>
          <field name="view" ref="hotel_rate_plan_calendar_view_tree"/>
          <field name="act_window" ref="act_hotel_rate_plan_calendar_form"/>
      </record>
      <record model="ir.action.act_window.view" id="act_rate_plan_calendar_form_view2">
          <field name="sequence" eval="20"/>
          <field name="view" ref="hotel_rate_plan_calendar_view_form"/>
          <field name="act_window" ref="act_hotel_rate_plan_calendar_form"/>
      </record>
      <menuitem name="Rate Plan Calendar" parent="hotel.menu_configuration"
          sequence="40" id="menu_hotel_rate_plan_calendar"
          action="act_hotel_rate_plan_calendar_form" />

        <record model="ir.ui.view" id="hotel_rate_plan_view_tree">
            <field name="model">hotel.rate_plan</field>
            <field name="type">tree</field>
            <field name="name">rate_plan_tree</field>
        </record>
        <record model="ir.ui.view" id="hotel_rate_plan_view_form">
            <field name="model">hotel.rate_plan</field>
            <field name="type">form</field>
            <field name="name">rate_plan_form</field>
        </record>
        <record model="ir.action.act_window" id="act_hotel_rate_plan_form">
            <field name="name">Rate Plan</field>
            <field name="res_model">hotel.rate_plan</field>
        </record>
        <record model="ir.action.act_window.view" id="act_rate_plan_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="hotel_rate_plan_view_tree"/>
            <field name="act_window" ref="act_hotel_rate_plan_form"/>
        </record>
        <record model="ir.action.act_window.view" id="act_rate_plan_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="hotel_rate_plan_view_form"/>
            <field name="act_window" ref="act_hotel_rate_plan_form"/>
        </record>
        <menuitem name="Rate Plan" parent="hotel.menu_configuration"
            sequence="80" id="menu_hotel_rate_plan"
            action="act_hotel_rate_plan_form" />

        <!-- Model Access -->
        <record model="ir.model.access" id="access_rate_plan">
            <field name="model" search="[('model', '=', 'hotel.rate_plan')]"/>
            <field name="perm_read" eval="False"/>
            <field name="perm_write" eval="False"/>
            <field name="perm_create" eval="False"/>
            <field name="perm_delete" eval="False"/>
        </record>
        <record model="ir.model.access" id="access_rate_plan_group_hotel">
            <field name="model" search="[('model', '=', 'hotel.rate_plan')]"/>
            <field name="group" ref="group_hotel"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="False"/>
            <field name="perm_create" eval="False"/>
            <field name="perm_delete" eval="False"/>
        </record>
        <record model="ir.model.access" id="access_rate_plan_group_hotel_frontdesk">
            <field name="model" search="[('model', '=', 'hotel.rate_plan')]"/>
            <field name="group" ref="group_hotel_frontdesk"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="False"/>
            <field name="perm_create" eval="False"/>
            <field name="perm_delete" eval="False"/>
        </record>
        <record model="ir.model.access" id="access_rate_plan_group_hotel_admin">
            <field name="model" search="[('model', '=', 'hotel.rate_plan')]"/>
            <field name="group" ref="group_hotel_admin"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="True"/>
            <field name="perm_create" eval="True"/>
            <field name="perm_delete" eval="True"/>
        </record>

    </data>
</tryton>
